SolrQuery::getFacetFields
SolrQuery::getFacetMethod
SolrQuery
PHP Manual

# SolrQuery::getFacetLimit

Returns the maximum number of constraint counts that should be returned for the facet fields

### Description

public int SolrQuery::getFacetLimit ([ string `$field_override` ] )

Returns the maximum number of constraint counts that should be returned for the facet fields. This method accepts an optional field override

### Parameters

`field_override`

  The name of the field to override for

### Return Values

Returns an integer on success and `NULL` if not set